
burnin<-500
totiter<-2500

index2<-(burnin+1):totiter

y<-399; N<-845
mu.theta<-0; s.theta<-100 




theta<-rw.ex2.2( prop.sd=0.35, iter=5500, theta0=0 )
theta<-theta[501:5500]

o<-exp(theta)
p<-exp(theta)/(1+exp(theta))

postscript('chap1_ex06_4.ps', width = 10.0, height = 6.0, horizontal=FALSE)
par( xaxs='r', yaxs='r', bty='l' , cex=0.8)
plot(density(theta,n=100), type='l', ylab='Density', xlab='Log-odds', main='Posterior Density Plot')

step<-0.01
theta.index<-seq(-0.4,0.2,step)
log.post <- theta.index * y - N * log( 1+ exp(theta.index ) ) - 0.5*( (theta.index-mu.theta)/s.theta )^2 
sum.post <- sum(exp(log.post))*step
post<-exp(log.post)/sum.post

lines(theta.index, post, col=2, lty=2)
graphics.off()


postscript('chap1_ex06_5.ps', width = 10.0, height = 6.0, horizontal=FALSE)
par( xaxs='r', yaxs='r', bty='l' , cex=0.8)
plot(density(o,n=100), type='l', ylab='Density', xlab='Odds', main='Posterior Density Plot')
graphics.off()


postscript('chap1_ex06_6.ps', width = 10.0, height = 6.0, horizontal=FALSE)
par( xaxs='r', yaxs='r', bty='l' , cex=0.8)
plot(density(p,n=100), type='l', ylab='Density', xlab='Success Probability', main='Posterior Density Plot')

step<-0.001
p.index<-seq(0,1,step)
post<-dbeta( p.index, y+0.01, N-y+0.01 )
#post<- post/ sum(post*step)
lines( p.index, post, col=2, lty=2)

graphics.off()

