
postscript('chap1_ex06_7.ps', width = 10.0, height = 12.0, horizontal=FALSE)
par(mfcol=c(3,1), xaxs='r', yaxs='r', bty='l' , cex=0.8)

burnin<-500
totiter<-1500
index<-1:totiter

#-1--------------------------------------------------------------------------------------
plot( index, theta.ind, type='l', ylab='log-odds', xlab='Iterations', main='Trace plot' )
#-2--------------------------------------------------------------------------------------
index2<-burnin:totiter
plot( index, erg.mean(theta.ind), type='l' , ylab='log-odds', xlab='Iterations', main='Ergodic Mean plot ' )
lines( index2, erg.mean(theta.ind[index2]), col=2, lty=2 )
#-3--------------------------------------------------------------------------------------
acf( theta.ind, main='Autocorrelation plot' )
graphics.off()





postscript('chap1_ex06_8.ps', width = 10.0, height = 12.0, horizontal=FALSE)
par(mfcol=c(2,1), xaxs='r', yaxs='r', bty='l' , cex=0.8)

index2<-(burnin+1):totiter

y<-399; N<-845
mu.theta<-0; s.theta<-100 




theta<-theta.ind[index2]

o<-exp(theta)
p<-exp(theta)/(1+exp(theta))

par( xaxs='r', yaxs='r', bty='l' , cex=0.8)
plot(density(theta), type='l', ylab='Density', xlab='Log-odds', main='Posterior Density Plot')

step<-0.01
theta.index<-seq(-0.4,0.2,step)
log.post <- theta.index * y - N * log( 1+ exp(theta.index ) ) - 0.5*( (theta.index-mu.theta)/s.theta )^2 
sum.post <- sum(exp(log.post))*step
post<-exp(log.post)/sum.post

lines(theta.index, post, col=2, lty=2)




par( xaxs='r', yaxs='r', bty='l' , cex=0.8)
plot(density(p), type='l', ylab='Density', xlab='Success Probability', main='Posterior Density Plot')

step<-0.001
p.index<-seq(0,1,step)
post<-dbeta( p.index, y+0.01, N-y+0.01 )
lines( p.index, post, col=2, lty=2)




graphics.off()
